<?xml version="1.0"?>
<launch>
  <param name="robot_description" 
  command="$(find xacro)/xacro 
  '$(find mastering_ros_robot_description_pkg)/urdf/seven_dof_arm.xacro'" />
  
  <!-- Starting joint publisher node which will publish the joint values -->
  <node 
    pkg="urdf_tutorial" 
    type="urdf_tutorial_arm3"
    name="joint_publisher" 
    
  /> 
  
  <!-- Starting robot state publish which will publish tf -->
  <node 
    name="robot_state_publisher" 
    pkg="robot_state_publisher" 
    type="robot_state_publisher" 
  />

  <!-- Launch visualization in rviz -->
  <node 
    name="rviz" 
    pkg="rviz" 
    type="rviz" 
    args="-d $(find mastering_ros_robot_description_pkg)/urdf.rviz" 
    required="true" 
  />
  
  <node pkg="turtlesim" type="turtle_teleop_key" name="teleop_key">
    <remap from="turtle1/cmd_vel" to="teleop_values"/>
  </node>

</launch>
